coreDns:
  enabled: true

kubeDns:
  enabled: true

alertmanager:
  enabled: true
  config:
    global:
      resolve_timeout: 5m
      slack_api_url: 'https://hooks.slack.com/services/webhook-do-seu-slack'  #defina aqui o seu webhook do slack para receber as notificações por slack

      smtp_smarthost: 'your_smtp_smarthost:587' #    caso deseje enviar notificações via smtp
      smtp_from: 'your_smtp_from'               #         atribua as configurações abaixo
      smtp_auth_username: 'your_smtp_user'      #         de acordo com o seu servidor smtp
      smtp_auth_password: 'your_smtp_pass'      #
    templates:
    - '/etc/alertmanager/template/*.tmpl'
    route:
     group_by: ['alertname', 'cluster', 'service']
     group_wait: 30s
     group_interval: 5m
     repeat_interval: 1h
     receiver: slack
     routes:
     - receiver: 'null'
       match:
         alertname: Watchdog     
     - receiver: blackhole
       match:
         severity: warning #defina a severidade irá para o pager EX: warnig (ignora alertas de warning pra baixo)         
     - receiver: slack
    receivers:
    - name: slack
      slack_configs:
      - channel: '#canal-slack' #coloque o nome de seu canal do slack
        send_resolved: true
        icon_url: https://upload.wikimedia.org/wikipedia/commons/thumb/3/39/Kubernetes_logo_without_workmark.svg/220px-Kubernetes_logo_without_workmark.svg.png
        username: 'Cluster-PRD' #Defina o nome para que possa identificar qual cluster esta chagndo alerta em seu slack
        title: |-
          [{{ .Status | toUpper }}{{ if eq .Status "firing" }}:{{ .Alerts.Firing | len }}{{ end }}] {{ .CommonLabels.alertname }} for {{ .CommonLabels.job }}
          {{- if gt (len .CommonLabels) (len .GroupLabels) -}}
            {{" "}}(
            {{- with .CommonLabels.Remove .GroupLabels.Names }}
              {{- range $index, $label := .SortedPairs -}}
                {{ if $index }}, {{ end }}
                {{- $label.Name }}="{{ $label.Value -}}"
              {{- end }}
            {{- end -}}
            )
          {{- end }}
        text: >-
          {{ with index .Alerts 0 -}}
            :chart_with_upwards_trend: *<{{ .GeneratorURL }}|Graph>*
            {{- if .Annotations.runbook }}   :notebook: *<{{ .Annotations.runbook }}|Runbook>*{{ end }}
          {{ end }}

          *Alert details*:

          {{ range .Alerts -}}
            *Alert:* {{ .Annotations.title }}{{ if .Labels.severity }} - `{{ .Labels.severity }}`{{ end }}
          *Description:* {{ .Annotations.description }}
          *Details:*
            {{ range .Labels.SortedPairs }} • *{{ .Name }}:* `{{ .Value }}`
            {{ end }}
          {{ end }}
      email_configs:
      - to: 'your_alert_email_address' #defina neste campo o email ao qual deseja enviar notificações/alertas
        send_resolved: true    
    - name: blackhole
    - name: 'null'
  
  alertmanagerSpec:
    replicas: 2
    storage:
      volumeClaimTemplate:  #abaixo estao todas as definições da persistencias de dados do alertmanager para que possamos ter um historico de alertas
        spec:
          storageClassName: gp2      
          accessModes: ["ReadWriteOnce"]
          resources:
            requests:
              storage: 5Gi


prometheus:
  prometheusSpec:
    serviceMonitorNamespaceSelector: {}
    retention: 30d  #aqui definimos um tempode retenção de dados de 30 dias para que o prometheus faça o recycle do dados para nao sobrecarregar o disco , podendo assim aumentar ou diminuir este valor em dias para e aumentando o disco do persistent volume para comportar um maior volume de dados
    replicas: 1
    storageSpec:
      volumeClaimTemplate: #abaixo estao todas as definições da persistencias de dados do prometheus para que possamos ter um historico de alertas e metricas 
        spec:
          storageClassName: gp2 #gp2= aws |standard= gcp |managed-premium= azure     
          accessModes: ["ReadWriteOnce"]
          resources:
            requests:
              storage: 25Gi
  service:
    type: LoadBalancer #podendo aternar entre os types LoadBalancer,ClusterIP ou NodePort de acordo com o seu ambiente
    port: 9090
    targetPort: 9090
    annotations: {}
    labels: {}

grafana:
  adminUser: admin
  adminPassword: q1w2e3r4 #altere a senha para uma maior segurança de seu ambiente

  persistence:
    storageClassName: gp2 #gp2= aws |standard= gcp |managed-premium= azure
    enabled: true
    accessModes: ["ReadWriteOnce"]
    size: 50Gi

  service:
    type: LoadBalancer #podendo aternar entre os types LoadBalancer,ClusterIP ou NodePort de acordo com o seu ambiente 
    port: 3000
    targetPort: 3000
    annotations: {}
    labels: {}
